### Method

# Fwupd Report get_version_old

#### Declaration [src]

    const gchar*
    fwupd_report_get_version_old (
      FwupdReport* self
    )

#### Description [src]

Gets the old version, i.e. what the upser was upgrading from.

Available since: | 1.8.8

#### Return value

Returns: | `const gchar*`
| The version, or `NULL` if unset.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.